View Issue Details

IDProjectCategoryView StatusLast Update
0020058mantisbtcustomizationpublic2017-03-25 07:17
ReportervboctorAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.2 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020058: Updating config items in configuration report adds new ones
Description

Create a configuration option under All Projects
Click Edit
Select a different project
Click Set

Rather than the config option being updated, a new one will be created. The same will happen if you start by a specific project and change to all projects. It is likely that set only works when just the type/value fields are updated.

Tagsmantishub

Relationships

related to 0022579 closeddregad CVE-2017-7309: XSS in adm_config_report.php 
related to 0022537 closeddregad CVE-2017-6973: XSS in adm_config_report.php 

Activities

dregad

dregad

2015-08-28 03:56

developer   ~0051322

If I understand correctly, this is in the manage config page, and the new config is created in the 2nd project (the one you picked in step 3 of your procedure).

If so, I think this is useful behavior, although I would agree that it is not intuitive and the interface could be improved.

cproensa

cproensa

2015-09-13 19:58

developer   ~0051459

a simple improvement: have three buttons (introducing new one "Copy")
Edit / Copy / Delete

The Edit action, would change the config option wothout creating new ones
The Copy action, would create the config option keeping the original one (or overwritting if user/project dont change)

cproensa

cproensa

2015-09-17 20:11

developer   ~0051502

PR: https://github.com/mantisbt/mantisbt/pull/651

attached "edit_config_option_move.png" for result



Related Changesets

MantisBT: master 13bda674

2016-05-02 22:47:39

cproensa


Committer: vboctor Details Diff
Actions for edit/clone configuration options

In adm_config_report, show buttons for different editing actions:

- Action "Clone" creates new option and keeps old, overwritting if one already exists with those key values. exists
- Action "Edit" updates current configuration option, or moves the option if key values are changed, overwritting if one already exists

Fixes 0020058
mod - adm_config_report.php Diff File
mod - adm_config_set.php Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2015-08-28 03:23 vboctor New Issue
2015-08-28 03:23 vboctor Tag Attached: mantishub
2015-08-28 03:56 dregad Note Added: 0051322
2015-09-06 17:47 vboctoradmin Target Version 1.3.0-beta.3 => 1.3.0-rc.1
2015-09-13 19:58 cproensa Note Added: 0051459
2015-09-17 20:11 cproensa File Added: edit_config_option_move.png
2015-09-17 20:11 cproensa Note Added: 0051502
2015-12-06 02:55 vboctor Target Version 1.3.0-rc.1 => 1.3.0-rc.2
2016-05-02 22:50 vboctor Changeset attached => MantisBT master 13bda674
2016-05-02 22:50 vboctor Assigned To => vboctor
2016-05-02 22:50 vboctor Status new => resolved
2016-05-02 22:50 vboctor Resolution open => fixed
2016-05-02 22:50 vboctor Fixed in Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed
2017-03-17 07:56 dregad Relationship added related to 0022537
2017-03-17 07:56 dregad Assigned To vboctor => cproensa
2017-03-25 07:17 dregad Relationship added related to 0022579